Subject: bug#37967: closed (Re: bug#37967: guix environment -CN: Operation not permitted mounting host's /var/run/nscd)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 04 Nov 2019 22:38:02 +0000

Your bug report

#37967: guix environment -CN: Operation not permitted mounting host's /var/run/nscd

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
37967: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=37967
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#37967: guix environment -CN: Operation not permitted mounting host's /var/run/nscd
From: Ludovic Courtès <[email-masked]>
To: Ivan Vilata i Balaguer <[email-masked]>
Cc: [email-masked]
Date: Mon, 04 Nov 2019 23:37:07 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Ivan Vilata i Balaguer <[email-masked]> skribis:

> I applied your patch on top of bf7b08c4, pulled Guix and did successfully
> start `guix environment -CN`, with network support and all.

Awesome, pushed as 625bdf09d344302ec2d5da7f35fe35ca1d128a93.

Gràcies!  :-)

Ludo’.

Subject: guix environment -CN: Operation not permitted mounting host's /var/run/nscd
From: Ivan Vilata i Balaguer <[email-masked]>
To: [email-masked]
Date: Mon, 28 Oct 2019 13:27:41 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi!  While using Guix commit `c9fc03a3` on Debian unstable, whenever I run
`guix environment -CN` (either as a normal user or as root) I get an error
like this:

    guix environment: error: mount: mount "/var/run/nscd" on "/tmp/guix-directory.6kBgXe//var/run/nscd": Operation not permitted

nscd is installed and working in my host machine.

This command used to work a while ago.  Actually, I pulled the Guix commit
right before `5ccec771` ("file-systems: Add /var/run/nscd to
'%network-file-mappings'.") and the command seems to work again (even if I do
not replace the running daemon).

Maybe the later commit introduced some kind of regression?

Thanks and cheers!

-- 
Ivan Vilata i Balaguer -- https://elvil.net/